Last Comment Bug 308968 - Spelling error in message for when server doesn't support TLS
: Spelling error in message for when server doesn't support TLS
Status: RESOLVED FIXED
: fixed-seamonkey1.0, fixed1.8
Product: SeaMonkey
Classification: Client Software
Component: General (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: ---
Assigned To: Stephen Donner [:stephend] - PTO; back on 5/28
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-17 10:26 PDT by John T
Modified: 2006-03-25 04:12 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (Checked in) (1.90 KB, patch)
2005-09-17 15:20 PDT, Stephen Donner [:stephend] - PTO; back on 5/28
mozilla: review+
mozilla: superreview+
kairo: approval‑seamonkey1.0+
Details | Diff | Review

Description John T 2005-09-17 10:26:55 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b4) Gecko/20050910 SeaMonkey/1.0a
Build Identifier: Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8b4) Gecko/20050910 SeaMonkey/1.0a

When trying to send SMTP mail with TLS security to a server that doesn't
indicate that TLS is supported, the following error msg occurs. Box header:
"Send Message Error" Box content: "Sending of message failed. An error occurred
sending mail. Unable to connect to SMTP server mail.informatics.net via STARTTLS
since he doesn't offer STARTTLS in EHLO response. Please verify that your
Mail/News account settings are correct and try again."

Reproducible: Always

Steps to Reproduce:
1. Set Seamonkey to send to my SMTP server using TLS
2. Try to send a message
3. Get an error dialog box

Actual Results:  
I noticed that my server was referred to as "he" and that HELO was misspelled.

Expected Results:  
Spelling should be correct.
Comment 1 Adam Guthrie 2005-09-17 12:08:48 PDT
EHLO is not a misspelling, but I do agree with you that "he" needs to be "it".
Comment 2 Stephen Donner [:stephend] - PTO; back on 5/28 2005-09-17 15:20:38 PDT
Created attachment 196465 [details] [diff] [review]
Patch (Checked in)

* "Response" was also misspelled as "reponse".
* I also changed "Sent Mail folder" to "Sent mail folder", since a while ago we
renamed "Sent Mail" to "Sent" as a folder.
Comment 3 Ian Neal 2005-09-17 16:33:53 PDT
Comment on attachment 196465 [details] [diff] [review]
Patch (Checked in)

Checking in
composeMsgs.properties;
new revision: 1.81; previous revision: 1.80
done
Comment 4 Stephen Donner [:stephend] - PTO; back on 5/28 2005-09-17 16:47:10 PDT
Fixed on trunk.
Comment 5 neil@parkwaycc.co.uk 2005-12-09 09:56:56 PST
Comment on attachment 196465 [details] [diff] [review]
Patch (Checked in)

Note: not sure if this is really suite-only, but was filed as such
Comment 6 Robert Kaiser (not working on stability any more) 2005-12-09 14:45:53 PST
Comment on attachment 196465 [details] [diff] [review]
Patch (Checked in)

Neil: it is suite-only, as all Thunderbird L10n files were forked into /mail/locales when they adopted the "source L10n" model.
Comment 7 neil@parkwaycc.co.uk 2005-12-11 11:45:16 PST
SeaMonkey-only fix checked into the 1.8 branch.

Note You need to log in before you can comment on or make changes to this bug.